# Uses of Interface
org.eclipse.microprofile.openapi.models.Paths

Packages that use Paths
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.

## Uses of Paths in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Paths
Modifier and Type
Method
Description
`static Paths`
OASFactory.`createPaths()`
This method creates a new `Paths` instance.

## Uses of Paths in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return Paths
Modifier and Type
Method
Description
`Paths`
Paths.`addPathItem(String name, PathItem item)`
Adds the given path item to this Paths and return this instance of Paths
`Paths`
OpenAPI.`getPaths()`
Returns the paths property from an OpenAPI instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Paths
Modifier and Type
Method
Description
`default OpenAPI`
OpenAPI.`paths(Paths paths)`
Sets this OpenAPI instance's paths property to the given paths.
`void`
OpenAPI.`setPaths(Paths paths)`
Sets this OpenAPI instance's paths property to the given paths.